From dcf5b37610fdfd1c5dea9c967e5a6a4d0b3ab279 Mon Sep 17 00:00:00 2001
From: Alex Nelson <ajnelson@cs.ucsc.edu>
Date: Sun, 4 Dec 2011 16:23:16 -0800
Subject: [PATCH] Add test hive and generator script

---
 images/mkrlenvalue_test_hive.py |   37 +++++++++++++++++++++++++++++++++++++
 images/rlenvalue_test_hive      |  Bin 0 -> 12288 bytes
 2 files changed, 37 insertions(+), 0 deletions(-)
 create mode 100755 images/mkrlenvalue_test_hive.py
 create mode 100644 images/rlenvalue_test_hive

diff --git a/images/mkrlenvalue_test_hive.py b/images/mkrlenvalue_test_hive.py
new file mode 100755
index 0000000..827667e
--- /dev/null
+++ b/images/mkrlenvalue_test_hive.py
@@ -0,0 +1,37 @@
+#!/usr/bin/env python
+import os
+import hivex
+
+srcdir = os.environ.get("srcdir")
+if not srcdir:
+    srcdir = "."
+
+h = hivex.Hivex ("%s/../images/minimal" % srcdir,
+                 write = True)
+assert h
+
+root = h.root ()
+assert root
+
+h.node_add_child (root, "ModerateValueParent")
+
+mvp = h.node_get_child (root, "ModerateValueParent")
+assert mvp
+
+moderate_value = "0123456789ABCDEF"
+
+values = [
+    { "key": "3Bytes", "t": 3, "value": moderate_value[:3] },
+    { "key": "16Bytes", "t": 3, "value": moderate_value },
+    { "key": "30Bytes", "t": 3, "value": (moderate_value*2)[:30] },
+    { "key": "31Bytes", "t": 3, "value": (moderate_value*2)[:31] },
+    { "key": "32Bytes", "t": 3, "value": moderate_value*2 },
+    { "key": "33Bytes", "t": 3, "value": (moderate_value*3)[:33] },
+]
+h.node_set_values (mvp, values)
+
+new_moderate_value = h.node_get_value (mvp, "16Bytes")
+
+assert h.value_value (new_moderate_value)[1] == moderate_value
+
+h.commit ("%s/../images/rlenvalue_test_hive" % srcdir)
diff --git a/images/rlenvalue_test_hive b/images/rlenvalue_test_hive
new file mode 100644
index 0000000000000000000000000000000000000000..87cbec5d93f39f2f3821e631b6bc2d41ae885a72
GIT binary patch
literal 12288
zcmeI2zfV(96vw|+q1uSn9|I;vAF<KJn3gKyL@2buM1>e64lGrl(iE#H)#&y{{s0FY
zOc?wl++-w9jEsy74o=26`23#RKKmX*?BD>&_mXq(x%Zy)z4v`Oog13|v!|&PV79fq
z@nPWO7jw}^vu3_$4m<PbF~+}nJit9naBQK88XlwW{O5SdaS~-zFwU4en6+HBeM#VR
zZS?29yqGQ}0wN#+A|L`HAOa#F0wN#+BJke{EIg_;oM^Ty9lZnC%4!&fjrvu1S4!{g
zZNS#n((ShZ^Ou>&kkEV^gU)!_7Iw7boab`6nfueT)7PeM&)N3+uP|Jy0|9-rL$vce
zC50pJ?7<=HP6W=ny|2h{1O{=Aktqx2Q-#NF$o$M8I|P5N?-GA$k9fDv_%WPJ=zHDx
zY+T>1^L8%2eb>Izc8iSNnAeZ5?WvoHJ#2|P&q(S3QztA+O$0<h1VlgtL_h>YKm<fU
z1VlgtdL!WKf2;jt^?y8bg*APn?j`DfFBV`mzqNj@txzN2X!9t<%G9CG<P68VFP`|#
zYRjLiF23?-s!hMqa=YJ{v$&9gM~(IGm1A3+f1<xh%bo%r(pG8PG;6m1y50{K%R#;{
zY@_@CgktG!%U_E2)9$l=P$SwejI;x`na{l9^&2BMM{kXnCML_3u5KC^ILY&@D6g1r
z=WXtim(($p?)ew#zlrM<detc>bUe=1;yS}U>m<I*ev6}gp!oA$9bo_du5u;M+>HTt
aY9b&4A|L`HAOa#F0wN#+A|L_>j=*muug%l|

literal 0
HcmV?d00001

-- 
1.7.6.4

